@font-face {
  font-family: 'Montserrat';
  src: local('Montserrat-Medium'),
   url('../fonts/Montserrat-Medium.woff2') format('woff2'),
   url('../fonts/Montserrat-Medium.woff') format('woff');
   font-weight: 500;
   font-style: normal;
   font-display: swap;
}

@font-face {
  font-family: 'Montserrat';
  src: local('Montserrat-Regular'),
   url('../fonts/Montserrat-Regular.woff2') format('woff2'),
   url('../fonts/Montserrat-Regular.woff') format('woff');
   font-weight: 400;
   font-style: normal;
   font-display: swap;
}

@font-face {
  font-family: 'Montserrat';
  src: local('Montserrat-SemiBold'),
   url('../fonts/Montserrat-SemiBold.woff2') format('woff2'),
   url('../fonts/Montserrat-SemiBold.woff') format('woff');
   font-weight: 600;
   font-style: normal;
   font-display: swap;
}

@font-face {
  font-family: 'Montserrat';
  src: local('Montserrat-Bold'),
   url('../fonts/Montserrat-Bold.woff2') format('woff2'),
   url('../fonts/Montserrat-Bold.woff') format('woff');
   font-weight: 700;
   font-style: normal;
   font-display: swap;
}

@font-face {
  font-family: 'Montserrat';
  src: local('Montserrat-ExtraBold'),
   url('../fonts/Montserrat-ExtraBold.woff2') format('woff2'),
   url('../fonts/Montserrat-ExtraBold.woff') format('woff');
   font-weight: 800;
   font-style: normal;
   font-display: swap;
}

html {
	box-sizing: border-box;
}

*,
*::before,
*::after {
	box-sizing: inherit;
}

h1,h2,h3,h4,h5,h6,p {
  margin: 0;
}

a {
	color: inherit;
	text-decoration: none;
}

img {
	max-width: 100%;
}

body {
	font-family: 'Montserrat', sans-serif;
  background-color: #E5E5E5;
}

.visually-hidden {
    width: 1px;
    height: 1px;
    margin: -1px;
    border: 0;
    padding: 0;
    overflow: hidden;
    transition:.3s ease-in-out;

}

.container {
  padding: 0 50px;
  max-width: 1920px;
  margin: 0px auto;
}

.reset-list  {
margin: 0;
padding: 0;
list-style: none;
}

.btn {
  z-index: 10;
  text-align: center;
  padding: 15px 35px;
  border-radius: 25px;
  background-color: #42686f;
  color: #fff;
  text-transform: uppercase;
  font-size: 14px;
  transition: transform 0.2s ease-in-out;
}

.btn:hover {
  transform: scale(1.05);
}

.buttons:hover {
  transform: scale(1.05);
}


/* HEADER */

header {
  z-index: 1000;
  width: 100%;
  background-color: #fff;
}

.header__top {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.header__top-list {
display: flex;
align-items: center;
}

.header__top-item:not(:last-child) {
  margin-right: 100px;
}

.contact-link:hover {
  color:#42686f;
}

.header__bottom {
  display: flex;
  background-color: #42686f;;
}

.header__bottom-list {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.nav__link {
  display: block;
  padding: 18px 50px;

  font-weight: 700;
  white-space: nowrap;
  text-transform: uppercase;
  letter-spacing: .8px;
  font-size: 14px;
  color: #fff;
}

.nav__link:hover {
  background-color:#24383c;
}

/* SHIPBUILDING */

.shipbuilding__hero {
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
  padding: 100px;
  height: 500px;
  background-repeat: no-repeat;
  background-size: cover;
  background-image: url(..//img/tpsc7efk4phgmgyysahghcv6fb5y1agw.jpg);
}

.shipbuilding__title {
  margin-bottom: 25px;
  font-weight: 700;
  letter-spacing: .8px;
  font-size: 40px;
  color: #fff;

}

.shipbuilding__hero-list {
  margin-bottom: 50px;
}

.shipbuilding__hero-items {
  font-weight: 400;
  line-height: 1.5;
  white-space: nowrap;
  letter-spacing: .8px;
  font-size: 18px;
  color: #fff;
}

.shipbuilding__basic {
  display: flex;
 justify-content: space-between;
}

.shipbuilding__basic:not(:last-child) {
  padding: 50px 0;
}

.shipbuilding__basic-img1 {
  min-width: 40%;
  background-image: url('../img/shipdok.jpg');
  background-repeat:no-repeat;
  background-size:contain;
}

.shipbuilding__basic-img2 {
  min-height: 500px;
  min-width: 50%;
  background-image: url('../img/slip.jpg');
  background-repeat:no-repeat;
  background-size:contain;
}

.shipbuilding__basic-text-right {
  margin-left: 50px;
}

.shipbuilding__basic-text-left {
  min-height: 500px;
  margin-right: 50px;
}

.shipbuilding__wrapper {
  height: 0;
  transition: height 0.3s ease-in-out;

}
.shipbuilding__wrapper_active {
  height: 1050px;
  transition: height 0.3s ease-in-out;
}

/* construction */

.construction__hero {
  position: relative;
  display: flex;
  align-items: flex-end;
  flex-direction: column;
  justify-content: center;
  padding: 100px;
  height: 500px;
  background-color: #fff;
}

.construction-bg {
  position: absolute;
  left: 0;
  top: 0;
  height: 500px;
  opacity: 0.6;
}

.construction__title {
  z-index: 10;
  margin-bottom: 25px;
  font-weight: 700;
  letter-spacing: .8px;
  font-size: 40px;
  color: #24383c;

}

.construction__hero-list {
  z-index: 10;
  text-align: end;
  margin-bottom: 50px;
}

.construction__hero-items {
  font-weight: 400;
  line-height: 1.5;
  white-space: nowrap;
  letter-spacing: .8px;
  font-size: 18px;
  color: #24383c;
}

/* engineering */


.engineering__hero {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  padding: 100px;
  height: 500px;
  background-repeat: no-repeat;
  background-size: cover;
  background-image: url(..//img/1.jpg);
}

.engineering__title {
  margin-bottom: 25px;
  font-weight: 700;
  letter-spacing: .8px;
  font-size: 40px;
  color: #fff;

}

.engineering__hero-list {
  margin-bottom: 50px;
}

.engineering__hero-items {
  font-weight: 400;
  line-height: 1.5;
  white-space: nowrap;
  letter-spacing: .8px;
  font-size: 18px;
  color: #fff;
}

/* conditioners */

.conditioners__hero {
  position: relative;
  display: flex;
  align-items: flex-end;
  flex-direction: column;
  justify-content: center;
  padding: 100px;

  background-color: #fff;
}
.conditioners__wrapper {
  height: 0;
  transition: height 0.3s ease-in-out;

}
.conditioners__wrapper_active {
  height: 1100px;
  transition: height 0.3s ease-in-out;
}


.conditioners-bg {
  position: absolute;
  left: 0;
  top: 0;
  max-height: 495px;
  opacity: 0.8;
}

.conditioners__title {
  z-index: 10;
  text-align: end;
  margin-bottom: 25px;
  font-weight: 700;
  letter-spacing: .8px;
  font-size: 40px;
  color: #24383c;

}

.conditioners__hero-list {
  z-index: 10;
  text-align: end;
  margin-bottom: 50px;
}

.conditioners__hero-items {
  font-weight: 400;
  line-height: 1.5;
  white-space: nowrap;
  letter-spacing: .8px;
  font-size: 18px;
  color: #24383c;
}

.conditioners__basic {
  display: flex;
  justify-content: space-around;
  padding: 50px 0px;
}

.conditioners__basic-text {
  max-width: 50%;
}

.conditioners__basic-img {
display: flex;
flex-direction: column;
justify-content: center;
}

.basic-link:not(:last-child) {
  margin-bottom: 10px;
}

.basic__title {
  margin-bottom: 25px;
  font-weight: 700;
  letter-spacing: .8px;
  font-size: 30px;
  color: #24383c;
}

.basic__desc:not(:last-child){
  margin-bottom: 50px;
}

.basic__desc {
  font-weight: 400;
  letter-spacing: .8px;
  font-size: 18px;
  line-height: 1.5;
  color: #24383c;
}

.basic-img:hover {
  cursor: zoom-in;
}

/* footer */

.footer__container {
  padding: 50px 50px;
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
}

.footer-right {
  display: flex;
}

.footer-list {
  margin-right: 150px;
}

.footer-items:not(:last-child) {
  margin-bottom: 10px;
}

.footer-nav{
  text-transform: capitalize;
}

@media (max-width: 1400px) {

  .btn {
    font-size: 12px;
  }

  .basic__title {
    font-size: 25px;
  }

  .basic__desc {
    font-size: 14px;
  }

  .block-title {
    font-size: 32px;
  }

  .block-desc {
    font-size: 16px;
  }

  .hero {
    padding: 50px;
    max-height: 400px;
  }

  /* HEADER */

  .header__top-logo,
  .footer-logo {
    max-width: 90px;
  }

  .header__top-item,
  .footer-items {
    font-size: 14px;
  }

  .nav__link {
    font-size: 12px;
  }

  /* CONDITIONERS */

  .conditioners-bg {
    max-height: 365px;
  }

  .basic-img {
    max-height: 300px;
  }

  .conditioners__wrapper_active {
    height: 790px;
  }

  /* CONSTRUCTION */

  .construction-bg {
    opacity: 0.5;
    max-height: 400px;
  }

  .shipbuilding__wrapper_active {
    height: 830px;
  }
}

@media (max-width: 576px) {

  .container {
    padding: 0 0px;
  }

  .header__top {
    padding: 10px 0px;
  }

  .header__top-logo {
    max-width: 60px;
  }

  .header__top-list {
    display: flex;
    flex-direction: column;
  }

  .header__top-item:not(:last-child) {
    margin-bottom: 6px;
    margin-right: 0px;
  }

  .header__top-item,
  .footer-items {
    flex-direction: column;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 10px;
  }

  .tel {
    margin-bottom: 5px;
  }

  .header__bottom-list {
    flex-direction: column;
  }

  .nav__link {
    font-size: 9px;
    padding: 10px 50px;
  
    letter-spacing: .8px;
  }

  .btn {
    padding: 10px 25px;
    font-size: 8px;
  }

  .basic__title {
    font-size: 14px;
    margin-bottom: 15px;
  }

  .basic__desc {
    font-size: 10px;
  }

  .block-title {
    margin-bottom: 15px;
    font-size: 16px;
  }

  .block-desc {
    font-size: 10px;
  }

  .conditioners__hero-list,
  .shipbuilding__hero-list,
  .construction__hero-list,
  .engineering__hero-list
   {
    margin-bottom: 15px;
  }

  .hero {
    padding: 15px;
    max-height: 200px;
  }

  .basic-img {
    margin-left: 15px;
    max-height: 300px;
  }

  .conditioners__wrapper_active {
    padding: 15px 10px;
    height: 100%;
    transition: none;
  }

  .shipbuilding__wrapper_active {
    padding: 15px 10px;
    height: 100%;
    transition: none;
  }

  .conditioners__btn {
    margin-right: 15px;
  }

  .construction-bg,
  .conditioners-bg {
    opacity: 0.4;
    max-height: 170px;
  }

  .footer-right {
    flex-direction: column;
  }

  .footer__container {
    padding: 10px 0px;
  }
  
  .footer-list {
    margin-right: 0px;
  }
  
  .footer-items:not(:last-child) {
    margin-bottom: 10px;
  }

  .footer-logo {
    max-width: 60px;
  }

  .footer-nav {
    display: none;
  }

  .conditioners__basic {
    padding: 0;
    display: flex;
  }
  
  .conditioners__basic:not(:last-child) {
    margin-bottom: 15px;
  }

  .conditioners__basic-text {
    max-width: 80%;
  }

  .shipbuilding__basic {
    padding: 0;
    flex-direction: column;
  }

  .shipbuilding__basic:not(:last-child) {
    margin-bottom: 15px;
    padding: 0;
  }
  

  .shipbuilding__basic-text-right,
  .shipbuilding__basic-text-left {
    max-width: 100%;
    margin: 0;
    min-height: 0;
  }

  .shipbuilding__basic-img1,
  .shipbuilding__basic-img2 {
    display: none;
  }

}